# Uses of Interface
org.eclipse.e4.ui.css.core.impl.engine.selector.Selectors.Selector

Packages that use Selectors.Selector
Package
Description
org.eclipse.e4.ui.css.core.engine
org.eclipse.e4.ui.css.core.impl.engine
org.eclipse.e4.ui.css.core.impl.engine.selector

## Uses of Selectors.Selector in org.eclipse.e4.ui.css.core.engine

Methods in org.eclipse.e4.ui.css.core.engine with parameters of type Selectors.Selector
Modifier and Type
Method
Description
`boolean`
CSSEngine.`matches(Selectors.Selector selector, Object node, String pseudo)`
Check if the `selector` matches the object `node`.

## Uses of Selectors.Selector in org.eclipse.e4.ui.css.core.impl.engine

Methods in org.eclipse.e4.ui.css.core.impl.engine with parameters of type Selectors.Selector
Modifier and Type
Method
Description
`boolean`
CSSEngineImpl.`matches(Selectors.Selector selector, Object element, String pseudoElt)`

## Uses of Selectors.Selector in org.eclipse.e4.ui.css.core.impl.engine.selector

Classes in org.eclipse.e4.ui.css.core.impl.engine.selector that implement Selectors.Selector
Modifier and Type
Class
Description
`static final record`
`Selectors.Adjacent`
`first + second` — direct adjacent sibling combinator.
`static final record`
`Selectors.And`
Compound selector: every operand must match the same element.
`static final record`
`Selectors.AttributeBeginHyphen`
`[attr|='value']` — matches when `attr` equals `value` or starts with `value-`.
`static final record`
`Selectors.AttributeIncludes`
`[attr~='value']` — matches when `attr` contains `value` as a whitespace-separated word.
`static final record`
`Selectors.AttributeSelector`
`[attr]` or `[attr='value']`.
`static final record`
`Selectors.Child`
`parent > child` — child combinator.
`static final record`
`Selectors.ClassSelector`
`.foo` — matches by CSS class.
`static final record`
`Selectors.Descendant`
`ancestor descendant` — descendant combinator.
`static final record`
`Selectors.ElementType`
`Button` — matches by local element name.
`static final record`
`Selectors.IdSelector`
`#foo` — matches by CSS id.
`static final record`
`Selectors.PseudoClass`
`:name` — matches when the element answers true to `isPseudoInstanceOf(name)` on its CSS-stylable element wrapper.
`static final class`
`Selectors.SelectorList`
`a, b` — selector list.
`static final record`
`Selectors.Universal`
`*` — matches any element.
Methods in org.eclipse.e4.ui.css.core.impl.engine.selector that return Selectors.Selector
Modifier and Type
Method
Description
`Selectors.Selector`
Selectors.Descendant.`ancestor()`
Returns the value of the `ancestor` record component.
`Selectors.Selector`
Selectors.Child.`child()`
Returns the value of the `child` record component.
`Selectors.Selector`
Selectors.Descendant.`descendant()`
Returns the value of the `descendant` record component.
`Selectors.Selector`
Selectors.Adjacent.`first()`
Returns the value of the `first` record component.
`Selectors.Selector`
Selectors.SelectorList.`item(int i)`
`i`-th alternative.
`Selectors.Selector`
Selectors.And.`left()`
Returns the value of the `left` record component.
`Selectors.Selector`
Selectors.Child.`parent()`
Returns the value of the `parent` record component.
`Selectors.Selector`
Selectors.And.`right()`
Returns the value of the `right` record component.
`Selectors.Selector`
Selectors.Adjacent.`second()`
Returns the value of the `second` record component.
`static Selectors.Selector`
SacTranslator.`translate(org.w3c.css.sac.Selector sac)`
Translate a single SAC `Selector`.
Methods in org.eclipse.e4.ui.css.core.impl.engine.selector that return types with arguments of type Selectors.Selector
Modifier and Type
Method
Description
`List<Selectors.Selector>`
Selectors.SelectorList.`alternatives()`
Methods in org.eclipse.e4.ui.css.core.impl.engine.selector with parameters of type Selectors.Selector
Modifier and Type
Method
Description
`static boolean`
SelectorMatcher.`matches(Selectors.Selector selector, Element element, String pseudoElement)`
`static boolean`
SelectorMatcher.`matches(Selectors.Selector selector, Element element, String pseudoElement, Element[] hierarchy, int hierarchyIndex)`
Constructors in org.eclipse.e4.ui.css.core.impl.engine.selector with parameters of type Selectors.Selector
Modifier
Constructor
Description
``
`Adjacent(Selectors.Selector first, Selectors.Selector second)`
Creates an instance of a `Adjacent` record class.
``
`And(Selectors.Selector left, Selectors.Selector right)`
Creates an instance of a `And` record class.
``
`Child(Selectors.Selector parent, Selectors.Selector child)`
Creates an instance of a `Child` record class.
``
`Descendant(Selectors.Selector ancestor, Selectors.Selector descendant)`
Creates an instance of a `Descendant` record class.
Constructor parameters in org.eclipse.e4.ui.css.core.impl.engine.selector with type arguments of type Selectors.Selector
Modifier
Constructor
Description
``
`SelectorList(List<Selectors.Selector> alternatives)`